Skip to content

List all calls

Request

Retrieve a paginated list of calls.

Requires the read_conversations OAuth scope.

Security
bearerAuth
Query
pageinteger

The page of results to fetch. Defaults to first page

Example:page=1
per_pageinteger, [ 1 .. 25 ]

How many results to display per page. Defaults to 25. Must be between 1 and 25. A value outside that range returns a 400 error.

Example:per_page=25
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  'https://api.intercom.io/calls?page=1&per_page=25' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

successful

Bodyapplication/json
typestring

String representing the object's type. Always has the value list.

Example:"list"
dataArray of objects(Call)

A list of calls.

total_countinteger

Total number of items available.

Example:0

The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

Response
{ "type": "list", "data": [], "total_count": 0, "pages": { "type": "pages", "page": 1, "per_page": 25, "total_pages": 0 } }